Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection
Interface AbstractDetectorMBean

All Superinterfaces:
  Detector, javax.management.MBeanRegistration

All Known Subinterfaces:
  JNDIDetectorMBean, MulticastDetectorMBean

All Known Implementing Classes:
  AbstractDetector, JNDIDetector, MulticastDetector

    public interface AbstractDetectorMBean

extends Detector

This provides a MBean accessible interface for setting domain configuration

Author:
  Tom Elrod

Method Summary
`org.w3c.dom.Element` | `getConfiguration()` The `getDomains` method
`long` | `getDefaultTimeDelay()`
`long` | `getHeartbeatTimeDelay()` The amount of time to wait between sending (and sometimes receiving) detection messages.
`void` | `setConfiguration(org.w3c.dom.Element xml)` set the configuration for the domains to be recognized by detector
`void` | `setDefaultTimeDelay(long defaultTimeDelay)` The amount of time which can elapse without receiving a detection event before a server will be suspected as being dead and peroforming an explicit invocation on it to verify it is alive.
`void` | `setHeartbeatTimeDelay(long heartbeatTimeDelay)` The amount of time to wait between sending (and sometimes receiving) detection messages.

Methods inherited from interface org.jboss.remoting.detection.Detector
`start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### setConfiguration

    void setConfiguration(org.w3c.dom.Element xml)
                          throws java.lang.Exception

  set the configuration for the domains to be recognized by detector

  Parameters:
    `xml` -
  Throws:
    `java.lang.Exception`

### getConfiguration

    org.w3c.dom.Element getConfiguration()

  The `getDomains` method

  Returns:
    an `Element` value

### setHeartbeatTimeDelay

    void setHeartbeatTimeDelay(long heartbeatTimeDelay)

  The amount of time to wait between sending (and sometimes receiving) detection messages.

  Parameters:
    `heartbeatTimeDelay` -
  Throws:
    `java.lang.IllegalArgumentException`

### getHeartbeatTimeDelay

    long getHeartbeatTimeDelay()

  The amount of time to wait between sending (and sometimes receiving) detection messages.

  Returns:

### setDefaultTimeDelay

    void setDefaultTimeDelay(long defaultTimeDelay)
                             throws java.lang.IllegalArgumentException

  The amount of time which can elapse without receiving a detection event before a server will be suspected as being dead and peroforming an explicit invocation on it to verify it is alive.

  Parameters:
    `defaultTimeDelay` - time in milliseconds
  Throws:
    `java.lang.IllegalArgumentException`

### getDefaultTimeDelay

    long getDefaultTimeDelay()

  Returns:
    The amount of time which can elapse without receiving a detection event before a server will be suspected as being dead and peroforming an explicit invocation on it to verify it is alive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.